# Uses of Interface
com.fasterxml.jackson.core.PrettyPrinter

Packages that use PrettyPrinter
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of PrettyPrinter in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as PrettyPrinter
Modifier and Type
Field
Description
`protected PrettyPrinter`
JsonGenerator.`_cfgPrettyPrinter`
Object that handles pretty-printing (usually additional white space to make results more human-readable) during output.
Methods in com.fasterxml.jackson.core that return PrettyPrinter
Modifier and Type
Method
Description
`PrettyPrinter`
JsonGenerator.`getPrettyPrinter()`
Accessor for checking whether this generator has a configured `PrettyPrinter`; returns it if so, null if none configured.
Methods in com.fasterxml.jackson.core with parameters of type PrettyPrinter
Modifier and Type
Method
Description
`JsonGenerator`
JsonGenerator.`setPrettyPrinter(PrettyPrinter pp)`
Method for setting a custom pretty printer, which is usually used to add indentation for improved human readability.

## Uses of PrettyPrinter in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base that return PrettyPrinter
Modifier and Type
Method
Description
`protected PrettyPrinter`
GeneratorBase.`_constructDefaultPrettyPrinter()`
Overridable factory method called to instantiate an appropriate `PrettyPrinter` for case of "just use the default one", when `GeneratorBase.useDefaultPrettyPrinter()` is called.

## Uses of PrettyPrinter in com.fasterxml.jackson.core.util

Classes in com.fasterxml.jackson.core.util that implement PrettyPrinter
Modifier and Type
Class
Description
`class`
`DefaultPrettyPrinter`
Default `PrettyPrinter` implementation that uses 2-space indentation with platform-default linefeeds.
`class`
`MinimalPrettyPrinter`
`PrettyPrinter` implementation that adds no indentation, just implements everything necessary for value output to work as expected, and provide simpler extension points to allow for creating simple custom implementations that add specific decoration or overrides.
Methods in com.fasterxml.jackson.core.util that return PrettyPrinter
Modifier and Type
Method
Description
`PrettyPrinter`
JsonGeneratorDelegate.`getPrettyPrinter()`
Methods in com.fasterxml.jackson.core.util with parameters of type PrettyPrinter
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorDelegate.`setPrettyPrinter(PrettyPrinter pp)`